package cn.jlsxwkj.moudles.logerror;

import cn.jlsxwkj.common.exception.InsertFailException;
import cn.jlsxwkj.common.utils.Log;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author zh
 */
@Service
public class LogErrorService {

    @Resource
    private LogErrorMapper logErrorMapper;

    @Transactional(rollbackFor = InsertFailException.class)
    public void insertOne(LogError logError) throws InsertFailException {
        Integer rows = logErrorMapper.insertOne(logError);
        if (rows > 0) {
            Log.info(this.getClass(), "插入错误完成");
        }
        throw new InsertFailException("插入失败");
    }
}
